Subject: Re: Using the loop feature of the DMA controller on MPC8544 DS

From: Timur Tabi <[email-masked]>
Date: Wed, 12 Mar 2008 15:49:50 -0500

Sebastian Siewior wrote:

> Do you recommend another solution? Or did I miss an important part of
> the API that solves this kind of problem.

Well, I need to solve this problem myself, but I wasn't planning on doing it for
a while since I have a higher priority assignment at the moment.  My 8610 sound
driver does DMA all on its own and completely ignores Zhang's driver, so I need
to fix that.

Unfortunately, I'm not familiar with Zhang's driver at all (it's changed too
much since I last looked at it), so I don't know what the *best* way is.  For my
sound driver, I don't even know if I'll be able to leverage Zhang's driver at
all, since I need to use a specific DMA channel, and I need to control each of
the link descriptors.  Zhang's driver abstracts DMA too much.  So all I was
going to do is come up with a way to reserve channels.

-- 
Timur Tabi
Linux kernel developer at Freescale